import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/vigneswaran009/2dbb6f8dd3fde2de4822eeb8a10db776/raw/salem_map.json';

export const useData = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topojsonData => {
     const { feature } = topojsonData.objects;
      
    setData(feature(topojsonData, salem_complete));  
    });
  }, []);
  
  return data;
};